Package org.springframework.batch.item.file.builder

# Class FlatFileItemWriterBuilder.DelimitedBuilder<T>

java.lang.Object
org.springframework.batch.item.file.builder.FlatFileItemWriterBuilder.DelimitedBuilder<T>

Type Parameters:
  `T` - the type of the parent `FlatFileItemWriterBuilder`

Enclosing class:
  FlatFileItemWriterBuilder<T>

public static class FlatFileItemWriterBuilder.DelimitedBuilder<T> extends Object
A builder for constructing a `DelimitedLineAggregator`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DelimitedBuilder(FlatFileItemWriterBuilder<T> parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DelimitedLineAggregator<T>`
  `build()`
  `FlatFileItemWriterBuilder.DelimitedBuilder<T>`
  `delimiter(String delimiter)`
  Define the delimiter for the file.
  `FlatFileItemWriterBuilder<T>`
  `fieldExtractor(FieldExtractor<T> fieldExtractor)`
  Set the `FieldExtractor` to use to extract fields from each item.
  `FlatFileItemWriterBuilder<T>`
  `names(String... names)`
  Names of each of the fields within the fields that are returned in the order they occur within the delimited file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DelimitedBuilder

    protected DelimitedBuilder(FlatFileItemWriterBuilder<T> parent)

- ## Method Details

  - ### delimiter

    public FlatFileItemWriterBuilder.DelimitedBuilder<T> delimiter(String delimiter)
    Define the delimiter for the file.
    Parameters:
      `delimiter` - String used as a delimiter between fields.
    Returns:
      The instance of the builder for chaining.
    See Also:
      - `DelimitedLineAggregator.setDelimiter(String)`

  - ### names

    public FlatFileItemWriterBuilder<T> names(String... names)
    Names of each of the fields within the fields that are returned in the order they occur within the delimited file. These names will be used to create a `BeanWrapperFieldExtractor` only if no explicit field extractor is set via `fieldExtractor(FieldExtractor)`.
    Parameters:
      `names` - names of each field
    Returns:
      The parent `FlatFileItemWriterBuilder`
    See Also:
      - `BeanWrapperFieldExtractor.setNames(String[])`

  - ### fieldExtractor

    public FlatFileItemWriterBuilder<T> fieldExtractor(FieldExtractor<T> fieldExtractor)
    Set the `FieldExtractor` to use to extract fields from each item.
    Parameters:
      `fieldExtractor` - to use to extract fields from each item
    Returns:
      The parent `FlatFileItemWriterBuilder`

  - ### build

    public DelimitedLineAggregator<T> build()